: Class MapResource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.map
Class MapResource

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.FileResource
                              |
                              +--org.w3c.jigsaw.map.MapResource

public class MapResource
extends FileResource

Implements handling of image map requests. Understands both the NCSA and the W3C (CERN) format for map description files, with the "nosearch" extension for both.

Field Summary
`protected static int` | `ATTR_MAP`
`protected static int` | `ATTR_NCSA`

Fields inherited from class org.w3c.tools.resources.FileResource
`ATTR_FILE_BACKUP, ATTR_FILE_LENGTH, ATTR_FILENAME, ATTR_FILESTAMP, file`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`MapResource()`

Method Summary
`org.w3c.jigsaw.map.Map` | `getMap()`
`void` | `initialize(java.lang.Object[] values)` Initialize the FileResource instance.
`void` | `updateFileAttributes()` This method parses the map file whenever it changes.

Methods inherited from class org.w3c.tools.resources.FileResource
`checkContent, getBackupFile, getBackupFlag, getFile, getFileLength, getFilename, getFileStamp, newContent, setValue, updateAttributes, verify`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, lookup, markModified, notifyUnload, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_MAP

    protected static int ATTR_MAP

### ATTR_NCSA

    protected static int ATTR_NCSA

Constructor Detail

### MapResource

    public MapResource()

Method Detail

### updateFileAttributes

    public void updateFileAttributes()

  This method parses the map file whenever it changes.
  Overrides:
    updateFileAttributes in class FileResource

### getMap

    public org.w3c.jigsaw.map.Map getMap()
                                  throws java.io.IOException,
                                         org.w3c.jigsaw.map.MapException

### initialize

    public void initialize(java.lang.Object[] values)

  Description copied from class: FileResource
  Initialize the FileResource instance.
  Overrides:
    initialize in class FileResource
  Tags copied from class: FramedResource
  Parameters:
    `values` - Default attribute values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD